### Method

# Gtk Textget_max_length

#### Declaration [src]

    int
    gtk_text_get_max_length (
      GtkText* self
    )

#### Description [src]

Retrieves the maximum allowed length of the text in `self`.

See `gtk_text_set_max_length()`.

This is equivalent to getting `self`‘s `GtkEntryBuffer` and calling `gtk_entry_buffer_get_max_length()` on it.

Gets property | `Gtk.Text:max-length`

#### Return value

Type: `int`

The maximum allowed number of characters in `GtkText`, or 0 if there is no maximum.